### Struct

# Ggit TreeEntry

#### Description [src]

    struct GgitTreeEntry {
      /* No available fields */
    }

Represents an entry in a tree.

#### Instance methods

###### ggit_tree_entry_get_file_mode

Gets the `GgitFileMode` of a tree entry.

###### ggit_tree_entry_get_id

Get the `GgitOId` of the entry.

###### ggit_tree_entry_get_name

Get the name of the tree entry.

###### ggit_tree_entry_get_object_type

Get the type of the tree entry object.

###### ggit_tree_entry_ref

Atomically increments the reference count of `entry` by one. This function is MT-safe and may be called from any thread.

###### ggit_tree_entry_unref

Atomically decrements the reference count of `entry` by one. If the reference count drops to 0, `entry` is freed.